#!/bin/sh
## TODO: unlink non-zipped Packages, find the way to create binary-$ARCH/Release

set -e

echo $0 $*

DISKDIR="$1"
CONF="$2"
ARCH="$3"
CODENAME="$4"
DBPATH="$5"
shift 5
COMPONENTS=$*


cd "$DISKDIR"

rm -Rf dists
for i in $COMPONENTS; do
    mkdir -p "dists/$CODENAME/$i/binary-$ARCH"
    apt-ftparchive -d "$DBPATH" -c "$CONF" packages pool/$i > "dists/$CODENAME/$i/binary-$ARCH/Packages"
    gzip -c9 <  "dists/$CODENAME/$i/binary-$ARCH/Packages" >  "dists/$CODENAME/$i/binary-$ARCH/Packages.gz"
done

ln -s $CODENAME dists/stable
ln -s $CODENAME dists/unstable

TMPFILE=`mktemp`

apt-ftparchive -d "$DBPATH" -c "$CONF" release "dists/$CODENAME" > "$TMPFILE"
mv "$TMPFILE" "dists/$CODENAME/Release"
